Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.parser
Class EDMType.PageDefinition.SimpleSearchPage

    java.lang.Object
      com.sun.mdm.index.parser.EDMType.PageDefinition.SimpleSearchPage

Enclosing class:
  EDMType.PageDefinition

class EDMType.PageDefinition.SimpleSearchPage
extends java.lang.Object

Field Summary
`(package private) java.util.ArrayList` | `alFieldGroup`
`(package private) java.util.ArrayList` | `alSearchOption`
`(package private) java.lang.String` | `fieldPerRow`
`(package private) java.lang.String` | `instruction`
`(package private) java.lang.String` | `reportName`
`(package private) java.lang.String` | `screenTitle`
`(package private) java.lang.String` | `searchResultID`
`(package private) java.lang.String` | `searchScreenOrder`
`(package private) java.lang.String` | `showCreateDate`
`(package private) java.lang.String` | `showCreateTime`
`(package private) java.lang.String` | `showEuid`
`(package private) java.lang.String` | `showLid`
`(package private) java.lang.String` | `showStatus`

Constructor Summary
`(package private)` | `EDMType.PageDefinition.SimpleSearchPage()`

Method Summary
`(package private) EDMType.PageDefinition.FieldGroup` | `addFieldGroup()`
`(package private) EDMType.PageDefinition.SearchOption` | `addSearchOption()`
`(package private) void` | `addSearchOption(EDMType.PageDefinition.SearchOption searchOption)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### alFieldGroup

    java.util.ArrayList alFieldGroup

### alSearchOption

    java.util.ArrayList alSearchOption

### fieldPerRow

    java.lang.String fieldPerRow

### instruction

    java.lang.String instruction

### reportName

    java.lang.String reportName

### screenTitle

    java.lang.String screenTitle

### searchResultID

    java.lang.String searchResultID

### searchScreenOrder

    java.lang.String searchScreenOrder

### showCreateDate

    java.lang.String showCreateDate

### showCreateTime

    java.lang.String showCreateTime

### showEuid

    java.lang.String showEuid

### showLid

    java.lang.String showLid

### showStatus

    java.lang.String showStatus

Constructor Detail

### EDMType.PageDefinition.SimpleSearchPage

    EDMType.PageDefinition.SimpleSearchPage()

Method Detail

### addFieldGroup

    EDMType.PageDefinition.FieldGroup addFieldGroup()

### addSearchOption

    EDMType.PageDefinition.SearchOption addSearchOption()

### addSearchOption

    void addSearchOption(EDMType.PageDefinition.SearchOption searchOption)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.